FORMS(3)

NAME
field_back, field_fore, field_pad, set_field_back, set_field_fore, set_field_pad - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
chtype
field_back(FIELD *field);
chtype
field_fore(FIELD *field);
int
field_pad(FIELD *field);
int
set_field_back(FIELD *field, chtype attribute);
int
set_field_fore(FIELD *field, chtype attribute);
int
set_field_pad(FIELD *field, int pad);

DESCRIPTION
Calling the function field_back() will return the character attributes that will be applied to a field that is not the current field, these attributes can be set by the set_field_back() function. The field_fore() function returns the character attributes that will be used to indicate that a field is the currently active one on the form, this attribute may be set by using the set_field_fore() function. The pad character for a field is the character that will be printed in all field locations not occupied with actual field contents. The pad character can be retrieved by calling the field_pad() function, the pad character is set by using the set_field_pad() function.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following error values:

E_OK
    The function was successful.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.